<!--
******************************************************************************
* Copyright © 2017-2018 PTA GmbH.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* 
*     http://www.eclipse.org/legal/epl-v10.html
* 
******************************************************************************
-->

<div class="login-outer">
  <div class="login-inner">
    <div class="text-center">
      <img src="assets/img/logo_openkonsequenz.png" alt="logo_openkonsequenz"/>
      <h2>Portal Login</h2>
    </div>
    <div class="text-right">
      <form (keyup.enter)="login(username.value, password.value)">
        <div class="text-center login-margin-top5">
          <input
            class="form-control"
            placeholder="Benutzername"
            #username
            type="text"
            autofocus
            autocomplete="username"
          />
        </div>
        <div class="text-center login-margin-top5">
          <input
            class="form-control"
            placeholder="Passwort"
            #password
            type="password"
            autocomplete="current-password"
          />
        </div>
      </form>
    </div>
    <div
      *ngIf="showError"
      id="error-message"
      class="login-error-message text-center"
    >
      Benutzername oder Passwort falsch.
    </div>
    <div class="text-center login-margin-top10">
      <button
        class="btn btn-primary"
        (click)="login(username.value, password.value)"
      >
        Anmelden
      </button>
    </div>
  </div>
  <app-version-info>...Loading Version-Info...</app-version-info>
</div>
